main/urls.py
from django.urls import path

from main import views
from story1 import views as st1

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('education/', views.education, name='education'),
    path('experiences/', views.experiences, name='experiences'),
    path('contact/', views.contact, name='contact'),
    path('movie/', views.movie, name='movie'),
    path('listmatkul/', views.listmatkul, name='listmatkul'),
    path('matkulform/', views.matkulform, name='matkulform'),
    path('deletematkul/<str:pk_test>/', views.deletematkul, name='deletematkul'),
    path('kegiatanku/', views.fungsi_kegiatanku, name='kegiatanku'),
    path('kegiatanku/<str:id_kegiatan>/', views.fungsi_eksekusi_nama, name='kegiatanku_eksekusi'),
    path('formulirkegiatan/', views.formulir_kegiatan, name='formulir_kegiatan'),
]

story4/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.auth import views as auth_views
from story8 import views as user_views
from story1 import views as st1


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls', namespace="main")),
    path('story1/', st1.story1, name="story1"),

    path('register/', user_views.register, name="register"),
    path('profile/', user_views.profile, name="profile"),
    path('login/', auth_views.LoginView.as_view(template_name='users/login.html'), name="login"),
    path('logout/', auth_views.LogoutView.as_view(template_name='users/logout.html'), name="logout"),

    path('story8/', user_views.fungsi_search_book, name="story8"),
    path('response/', user_views.fungsi_perantara_book, name='book-response'),
    
]

templates/base.html
{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Font Monsteratt-->
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap" rel="stylesheet">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <!-- JQUERY CSS -->
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

    <!-- My CSS-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">


    {% block meta %}
    {% endblock meta %}

  </head>
  <nav class="navbar sticky-top navbar-expand-lg navbar-dark" style="margin: 0px;">
    <div class="container-fluid">
      <div class="navbar-header">
        <a class="fixed-action-btn" href="{% url 'main:home' %}">
            <img src="{% static 'img/logo1.svg' %}" width=50vx alt="">
          </a>
      </div>
      <ul class="nav navbar-nav">
        <a class="nav-link active" href="{% url 'main:home' %}">Home <span class="sr-only">(current)</span></a>
        <a class="nav-link" href="{% url 'main:kegiatanku' %}">Collaborate</a>
        <a class="nav-link" href="{% url 'main:movie' %}">More</a>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        {% if user.is_authenticated %}
          <li><a href="{% url 'profile' %}"><span class="glyphicon glyphicon-user"></span> Hello, {{request.user.username}}</a></li>
          <li><a href="{% url 'logout' %}"><span class="glyphicon glyphicon-log-in"></span> Log Out</a></li>
        {% else %}  
          <li><a href="{% url 'register' %}"><span class="glyphicon glyphicon-user"></span> Sign Up</a></li>
          <li><a href="{% url 'login' %}"><span class="glyphicon glyphicon-log-in"></span> Log In</a></li>
        {% endif %}
      </ul>
    </div>
  </nav>
  
  <!-- <nav class="navbar sticky-top navbar-expand-lg navbar-dark"> -->
    <!-- Navbar content -->
    <!-- <a class="fixed-action-btn" href="{% url 'main:home' %}">
      <img src="{% static 'img/logo1.svg' %}" width=50vx alt="">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
      <div class="navbar-nav">
        <a class="nav-link active" href="{% url 'main:home' %}">Home <span class="sr-only">(current)</span></a>
        <a class="nav-link" href="{% url 'main:education' %}">Education</a>
        <a class="nav-link" href="{% url 'main:experiences' %}">Experience</a>
        <a class="nav-link" href="{% url 'main:contact' %}">Contact</a>
        <a class="nav-link" href="{% url 'main:kegiatanku' %}">Collaborate</a>
        <a class="nav-link" href="{% url 'main:movie' %}">More</a>
      </div>
    </div> -->
  <!-- </nav> -->

  <div class="right" style="right: 30px; bottom: 95px; float: right; position: fixed; z-index: 2;">
    <button type="button" style="border-radius: 100%; border-color: transparent; background-color: #FFB800; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
      <a class="button-link" href="{% url 'main:listmatkul' %}">
        <img src="{% static 'img/button_create.svg' %}" style="width: 50px;">
      </a>
    </button>
  </div>

  <div class="right" style="right: 30px; bottom: 30px; float: right; position: fixed; z-index: 2;">
    <button type="button" style="border-radius: 100%; border-color: transparent; background-color: #FFB800; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
      <a class="button-link" href="{% url 'story1' %}">
        <img src="{% static 'img/arrow-right.svg' %}" style="width: 50px;">
      </a>
    </button>
  </div>
  <body>
    {% if messages %}
      {% for message in messages %}
        <div class="alert alert-{{ message.tags }}">
            {{ message }}
        </div>
      {% endfor %}
    {% endif %}
    {% block content %}
    
    {% endblock content %}
    <!--Footer-->
    <section id="footer">
      <div class="footer container">
          <div class="brand">
              <h1 style="text-align: center;"><span>E</span>ndriyani <span>R</span>ahayu</h1>
              <div class="row" style="justify-content: center; margin: 10px;">
                  <div class="col-sm-left">
                      <a href="#"><img src="{% static 'img/email.svg' %}"></a>
                  </div>
                  <div class="col-sm-left">
                      <a href="#"><img src="{% static 'img/instagram.svg' %}"></a>
                  </div>
                  <div class="col-sm-left">
                      <a href="#"><img src="{% static 'img/linkedln.svg' %}"></a>
                  </div>
              </div>
              <p style="color: white; text-align: center;">Copyright © 2020 Endriyani Rahayu All rights reserved </p>
          </div>
      </div>
  </section>
<!--Footer-->



<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> -->
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
<script src="{% static '/js/script.js' %}" type="text/Javascript"></script>  
<script src="{% static '/js/script8.js' %}" type="text/Javascript"></script>  
</body>
</html>